diff --git a/src/client/refresh/gl3/gl3_shaders.c b/src/client/refresh/gl3/gl3_shaders.c
index 3baaa773a..38e4162d3 100644
--- a/src/client/refresh/gl3/gl3_shaders.c
+++ b/src/client/refresh/gl3/gl3_shaders.c
@@ -703,7 +703,12 @@ static const char* fragmentSrcParticlesSquare = MULTILINE_STRING(
 
 		void main()
 		{
-			outColor = passColor;
+			// outColor = passColor;
+			// so far we didn't use gamma correction for square particles, but this way
+			// uniCommon is referenced so hopefully Intels Ivy Bridge HD4000 GPU driver
+			// for Windows stops shitting itself (see https://github.com/yquake2/yquake2/issues/391)
+			outColor.rgb = pow(passColor.rgb, vec3(gamma));
+			outColor.a = passColor.a;
 		}
 );
 
